Bug 1021889 - search matches against fields which aren't displayed in the results (so reason for result being returned is unclear to user)
search matches against fields which aren't displayed in the results (so reaso...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 05:31 EDT by Tim Lauridsen
Modified: 2016-07-19 06:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:30:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
result for 'icons' search (112.28 KB, image/png)
2013-10-22 05:31 EDT, Tim Lauridsen
no flags Details
search for icons (3.10.3) (111.12 KB, image/png)
2013-10-31 04:45 EDT, Tim Lauridsen
no flags Details
the basti package (3.10.3) (36.06 KB, image/png)
2013-10-31 04:45 EDT, Tim Lauridsen
no flags Details
screenshot of a search for 'icons' with gnome-software-3.13.4-2.fc21.x86_64 (215.23 KB, image/png)
2014-08-07 09:23 EDT, Adam Williamson
no flags Details

  None (edit)
Description Tim Lauridsen 2013-10-22 05:31:59 EDT
Created attachment 814918 [details]
result for 'icons' search

Description of problem:
when searching for 'icons' in gnome-software, i get some strange results, there dont seems relates to 'icons' (Se attachment)
look like gnome-software search in the rpm description, but it don't show it when i select one of the found packages.
This will confuse the users, that a package if found, but there is no visibel infomation containing the search word

Version-Release number of selected component (if applicable):
3.10.2-1.f20

How reproducible:
every time

Steps to Reproduce:
1.gnome-software
2.search for 'icons'
3.

Actual results:
strange results with no visible infomation containg the search key

Expected results:
packages found by a search, should show the infomation that was used in the search.


Additional info:
Maybe gnome-software should fallback to showing the rpm description, for applications with no appdata or it should not search the rpm description.
Comment 1 Richard Hughes 2013-10-30 11:35:46 EDT
(In reply to Tim Lauridsen from comment #0)
> Maybe gnome-software should fallback to showing the rpm description, for
> applications with no appdata or it should not search the rpm description.

The designs explicitly forbid this, for good reason. I've taken PK out of the search path now, so I'm pretty sure this should be fixed in 3.10.3, can you please verify? http://koji.fedoraproject.org/koji/buildinfo?buildID=474286 -- thanks.
Comment 2 Tim Lauridsen 2013-10-30 11:51:02 EDT
I will test it tomorrow.

I understand you want good descriptions, but think that rpm description is better than no description in a transistion fase.
You are currently using the rpm summary, for packages with no appdata, it is not much better quality than the rpm description.
Comment 3 Tim Lauridsen 2013-10-31 04:44:00 EDT
It is not fixed in http://koji.fedoraproject.org/koji/buildinfo?buildID=474286

searching for icons still gives result where there is no trace for the word 'icons'
Comment 4 Tim Lauridsen 2013-10-31 04:45:06 EDT
Created attachment 817755 [details]
search for icons (3.10.3)
Comment 5 Tim Lauridsen 2013-10-31 04:45:57 EDT
Created attachment 817757 [details]
the basti package (3.10.3)
Comment 6 Adam Williamson 2014-08-07 09:21:59 EDT
I still see this with current Fedora 21. I don't see the word 'icons' in the appdata description (or indeed in the package description for at least some of them, so I'm not sure where it's coming from), and not all the results seem particularly relevant to the topic - I don't think tweak-tool or k3b is likely to be what anyone's looking for from a search for 'icons'.
Comment 7 Adam Williamson 2014-08-07 09:23:52 EDT
Created attachment 924916 [details]
screenshot of a search for 'icons' with gnome-software-3.13.4-2.fc21.x86_64
Comment 8 Adam Williamson 2014-08-07 09:42:46 EDT
Interestingly, it seems like I ran into a second bug. Those results are actually the results for a search for 'icon', but just that one time, I think the live results got stuck at 'icon' and didn't update to the 'icons' result. Now when I search for 'icons' I get only two results, qmpdclient and tweak-tool, both of which have the string 'icons' in their appdata. However, the search for 'icon' returns e.g. mcomix and GIMP and kolourpaint others which AFAICS do not have that string in the description or anywhere else in the information Software provides to the user in the search results list or even in the detailed page for each package.
Comment 9 Kalev Lember 2014-09-20 09:50:41 EDT
When you search for "icon", I believe it's matching the x-icon mime type. Try searching for "portable-anymap" for example, this also finds gimp.
Comment 10 Fedora End Of Life 2015-11-04 10:49:28 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Adam Williamson 2015-11-04 16:13:26 EST
Still seems valid on at least F22, a search for 'icon' returns 'Files' (nautilus), Zim Desktop Wiki, Tweak Tool, K3b, Converseen, and gDesklets...
Comment 12 Fedora End Of Life 2016-07-19 06:30:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.